SystemOrganization addCategory: #MySite!

ZnServer subclass: #StaticFilesServer
	instanceVariableNames: 'imagesDirectory cssDirectory'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MySite'!

StaticFilesServer class
	instanceVariableNames: 'server'!

!StaticFilesServer commentStamp: '<historical>' prior: 0!
A StaticFilesServer is server for static files like images or style sheets.

Instance Variables
	cssDirectory:		<Object>
	imagesDirectory:		<Object>

cssDirectory
	- xxxxx

imagesDirectory
	- xxxxx
!

StaticFilesServer class
	instanceVariableNames: 'server'!

!StaticFilesServer class methodsFor: 'class initialization' stamp: 'AnnaKusa 4/10/2014 13:01'!
initialize 
super initialize.
server:= ZnServer startDefaultOn: 8081! !

!StaticFilesServer class methodsFor: 'accessing' stamp: 'YuliaProkopovych 3/6/2014 00:08'!
server
  ^server! !

!StaticFilesServer methodsFor: 'accessing' stamp: 'YuliaProkopovych 3/6/2014 00:02'!
cssDirectory
^cssDirectory ! !

!StaticFilesServer methodsFor: 'accessing' stamp: 'YuliaProkopovych 3/6/2014 00:03'!
cssDirectory: aDirectory 
  cssDirectory  := aDirectory ! !

!StaticFilesServer methodsFor: 'accessing' stamp: 'YuliaProkopovych 3/6/2014 00:03'!
imagesDirectory
  ^imagesDirectory ! !

!StaticFilesServer methodsFor: 'accessing' stamp: 'YuliaProkopovych 3/6/2014 00:04'!
imagesDirectory: aDirectory 
  imagesDirectory := aDirectory ! !

!StaticFilesServer methodsFor: 'initialization' stamp: 'YuliaProkopovych 3/6/2014 00:09'!
initialize
"self initialize"
  super initialize.
  cssDirectory :=  (FileSystem disk workingDirectory) parent/ 'css'. 
  imagesDirectory :=  (FileSystem disk workingDirectory) parent/ 'images'.
 self class server delegate: (ZnStaticFileServerDelegate new
                directory: cssDirectory;
                prefixFromString: 'css';
                yourself).
 self class server delegate: (ZnStaticFileServerDelegate new
                directory: imagesDirectory;
                prefixFromString: 'images';
                yourself).! !

WAComponent subclass: #MySite
	instanceVariableNames: 'loginComponent editAccountComponent children'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MySite'!

!MySite commentStamp: '<historical>' prior: 0!
A ScrapBook is hello.

Instance Variables
!

!MySite class methodsFor: 'class initialization' stamp: 'AnnaKusa 4/10/2014 13:00'!
addCaptcha: application
"    application configuration parents add: BWRecaptchaConfiguration instance."
    application preferenceAt: #publicKey put: 'your-public-key'.
    application preferenceAt: #privateKey put: 'your-private-key'.! !

!MySite class methodsFor: 'class initialization' stamp: 'YuliaProkopovych 3/15/2014 16:37'!
initialize 
"self initialize"
|application|
   application:=WAAdmin register: MySite  asApplicationAt: 'mysite'.
    application preferenceAt: #sessionClass put: TLSession.
    application configuration parents add: TLConfiguration instance.
    application configuration parents add: WAEmailConfiguration instance.
    "self addCaptcha: application."! !

!MySite methodsFor: 'initialization' stamp: 'YuliaProkopovych 3/15/2014 16:41'!
addEditAccountComponent
	editAccountComponent := (TLEditAccountComponent loginComponent: loginComponent).
	editAccountComponent onAnswer: [ self editingAccount: false ].
	self children add: editAccountComponent.! !

!MySite methodsFor: 'initialization' stamp: 'YuliaProkopovych 3/15/2014 16:41'!
addLoginComponent
  	loginComponent := (TLLoginComponent appName: 'MySite').
	loginComponent onAnswer: [ :user | user ifNotNilDo: [ :u | self loggedIn: u ] ].
	self children add: loginComponent.
! !

!MySite methodsFor: 'accessing' stamp: 'YuliaProkopovych 3/15/2014 16:46'!
children
   ^ children ifNil: [ children := Bag new ]! !

!MySite methodsFor: 'initialization' stamp: 'AnnaKusa 4/10/2014 13:40'!
initialize 
super initialize.
    self addLoginComponent.
    self addEditAccountComponent.
! !

!MySite methodsFor: 'rendering' stamp: 'YuliaProkopovych 3/15/2014 16:46'!
renderContentOn: html
html table:
[ 
	html tableRow:
	[ 
	html tableColumn:
		[ 
			 html image url: 			'http://cs11232.userapi.com/g25332347/a_0ffdc1e5.jpg';
						 width: 179
		].
	html tableColumn:
		[ 
			 html image url: 			'https://dl.dropboxusercontent.com/sh/1qokb5ijbxzm22u/RAF2psjwZb/name.png?token_hash=AAFtNnnYLDaHl7_BbU5PuCF_fwcX0WC3iRGMrmbo3bdgQQ'  ;
						width: 699
		].
	html tableColumn:
		[ 
			html image url: 				'https://encrypted-tbn0.gstatic.com/images?q=tbn:ANd9GcQdeWNdpt4I8Vc7ta930YXZNzrQXkwsYq0hBZRh3UB-Ji4CUy8Mkg'  ;
							width: 200
		].
	].  
	html tableRow:
	[
	html tableColumn:
		[ 
			 html div: 
			[
				html unorderedList: 
				[  
				html listItem: 
				[ 
					html anchor
  						callback: [ self  ]; 
     						with: '1'.
				].
				html listItem: 
				[ 
					html anchor
  						callback: [ self ]; 
     						with: '2'.
				].
				html listItem: 
				[ 
					html anchor
  						callback: [ self ]; 
     						with: '3'.
				].
				html listItem: 
				[ 
					html anchor
  						callback: [ self  ]; 
     						with: '4'.
				].
				].
			 ].
		].
		html tableColumn:
		[
			html heading: 'my first page'.
			html image url: 'http://img3.etsystatic.com/000/0/5140436/il_570xN.234018527.jpg'.
		]. 
		 html tableColumn: 
		[ 
			html tableData:
			 [
     				html anchor
         			   callback: [ self ];
         			   with: 'name'
			].
    			html tableData: 
			[
      			 html anchor
        				    callback: [ self ];
        				    with: '--' 
			]
		]
	].
].
self renderLoginComponent: html.! !

!MySite methodsFor: 'rendering' stamp: 'YuliaProkopovych 3/15/2014 16:44'!
renderEditAccountComponent: html
   html render: editAccountComponent.! !

!MySite methodsFor: 'rendering' stamp: 'YuliaProkopovych 3/15/2014 16:43'!
renderLoginComponent: html
     html render: loginComponent .

! !

!MySite methodsFor: 'rendering' stamp: 'YuliaProkopovych 3/6/2014 00:12'!
updateRoot: aRoot
"/"
    super updateRoot: aRoot.
    aRoot stylesheet url: 'http://localhost:8081/css/styles.css'.
    aRoot stylesheet url: 'http://localhost:8081/css/menu.css'.
    aRoot stylesheet url: 'http://localhost:8081/css/regStyles.css'.! !
StaticFilesServer initialize!
MySite initialize!
